curl https://better-dodo-20522-us1-vector.upstash.io/info \
-H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/info"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "GET",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/info' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.get(url, headers=headers)
print(response.json())
{
"result" : {
"vectorCount" : 7,
"pendingVectorCount" : 0,
"indexSize" : 43501
}
}
Endpoints
Index Info
Returns some information about the index; such as vectorCount, indexSize, dimension and similarityFunction.
GET
/
info
curl https://better-dodo-20522-us1-vector.upstash.io/info \
-H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/info"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "GET",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/info' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.get(url, headers=headers)
print(response.json())
{
"result" : {
"vectorCount" : 7,
"pendingVectorCount" : 0,
"indexSize" : 43501
}
}
Info will be updated eventually, so it might take some time to see the effect of changes in this endpoint.
Request
This request doesn’t require any additional data.Response
number
required
The number of vectors in the index, that are ready to use.
number
required
The number of vectors in the index, that are still processing and not ready to
use.
number
required
The total size of the index, in bytes.
number
required
Dimension of the vectors.
string
required
Name of the similarity function used in indexing and queries.
curl https://better-dodo-20522-us1-vector.upstash.io/info \
-H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/info"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "GET",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/info' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.get(url, headers=headers)
print(response.json())
{
"result" : {
"vectorCount" : 7,
"pendingVectorCount" : 0,
"indexSize" : 43501
}
}
Was this page helpful?